### Name: diseasemapping-package
### Title: Disease Mapping
### Aliases: diseasemapping-package diseasemapping


### ** Examples

# creating SMR's
data(popdata)
data(casedata)

model = getRates(casedata, popdata, ~age*sex, breaks=seq(0, 90, by=10) )
ontario = getSMR(popdata,model,  casedata)
spplot(ontario, 'SMR')

# an example of a spatial model with glmmBUGS

## Not run: 
##D # run the model
##D library(spdep)
##D popDataAdjMat = poly2nb(ontario, ontario[["CSDUID"]])
##D library(glmmBUGS)
##D forBugs = glmmBUGS(formula=observed + logExpected ~ 1,
##D   effects="CSDUID", family="poisson", spatial=popDataAdjMat,
##D   data=ontario@data)
##D startingValues = forBugs$startingValues
##D source("getInits.R")
##D library(R2WinBUGS)
##D ontarioResult = bugs(forBugs$ragged, getInits, parameters.to.save = names(getInits()),
##D     model.file="model.bug", n.chain=3, n.iter=100, n.burnin=10, n.thin=2,
##D       program="winbugs", debug=TRUE)
##D 
##D data(ontarioResult)
##D ontarioParams = restoreParams(ontarioResult, forBugs$ragged)
##D ontarioSummary = summaryChain(ontarioParams)
##D 
##D # merge results back in to popdata
##D ontario = mergeBugsData(ontario, ontarioSummary)
## End(Not run)

# running the same thing with INLA





