### Name: getStdRate
### Title: Calculate the standardized rate
### Aliases: getStdRate


### ** Examples

data(referencepop)
data(casedata)
data(popdata)
# get the age sex group rate:
model = getRates(casedata, popdata, ~age*sex, S=c("M","F"))
# calculate the relative rate using glmmBUGS:
ontario = getSMR(popdata, model, casedata)
## Not run: 
##D library(spdep)
##D popDataAdjMat <- poly2nb(popdata, popdata[["CSDUID"]])
##D library(glmmBUGS)
##D forBugs = glmmBUGS(formula = observed + logExpected ~ 1, effects= "CSDUID",
##D                    family="poisson", spatial =popDataAdjMat, data=ontario@data)
##D startingValues=forBugs$startingValues
##D source("getInits.R")
##D library(R2WinBUGS)
##D ontarioResult = bugs(forBugs$ragged, getInits, parameters.to.save=names(getInits()),
##D                      model.file="model.bug", n.chain=3, n.iter=1000, n.burnin=100,
##D                      n.thin=10, program="winbugs")
##D ontarioParams=restoreParams(ontarioResult, forBugs$ragged)
##D ontarioSummary = summaryChain(ontarioParams)
##D ontario = mergeBugsData(ontario, ontarioSummary)
##D ontario@data = ontario@data[!is.na(ontario$SMR),]
##D relativeRate = ontario@data[,grep("Fitted", names(ontario), value=TRUE)]
##D newpop <- getStdRate(relativeRate, model, referencepop, scale=100000)
## End(Not run)



